Service Quotes
Service quotes price a requested movement before an order is created. Use quotes to estimate delivery cost, select a service type or facilitator, and convert accepted pricing into an order.
GET
/v1/service-quotesQuery Service Quotes
This endpoint is used to get the ServiceRate quotes based on pickup point location and drop off point location, or payload.
For some quotes such as parcel based, the payload must be included for calculation of the payload cost.
Query parameters
payloadstringoptionalPayload ID or embedded payload object associated with the resource.
GET
/v1/service-quotescurl https://api.fleetbase.io/v1/service-quotes?payload={{payload_id}} \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"200 OK
[
{
"id": "<string>",
"service_rate": "<string>",
"request_id": "<string>",
"amount": "<number>",
"currency": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]GET
/v1/service-quotes/:idRetrieve a Service Quote
Retrieves a service quote by id.
GET
/v1/service-quotes/:idcurl https://api.fleetbase.io/v1/service-quotes/:id \
-H "Authorization: Bearer flb_live_…"